<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Task List</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
</head>
<body>

<table class="table table-dark">
    <thead>
    <tr>
        <th scope="col">Id</th>
        <th scope="col">Title</th>
        <th scope="col">Description</th>
        <th scope="col">Status</th>
        <th scope="col">Update</th>
        <th scope="col">Delete</th>
    </tr>
    </thead>
    <tbody>

    <tr th:each="tasks : ${tasks}">
        <td th:text="${tasks.task_id}"></td>
        <td th:text="${tasks.title}"></td>
        <td th:text="${tasks.description}"></td>
        <td th:text="${tasks.completed}"> </td>
        <td>
            <a th:href="@{/web/edit/{id}(id=${tasks.task_id})}"
                th:text="Edit">Edit</a>

        </td>
        <td><a th:href="@{/web/delete/{id}(id=${tasks.task_id})}">Delete</a></td>
    </tr>
    </tbody>
</table>
<a th:href="@{/web/addTask}">Add Task</a>
<p >this is a test paragraph</p>

</body>
</html>
